# SPOD-MANAGER

## Table of contents
* Introduction
* SPOD Requirements
* SPOD Manager download 
* SPOD Manager help
* Examples of use

## Introduction
A package for the installation, update, backup and restore of a Social Platform for Open Data (SPOD) application. SPOD enables social interactions among open data users and between open data users and government data. http://spod.routetopa.eu

SPOD is based on three packages available under GitLab:
*	spod-core,  which provides an intiall Oxwall installation tailored on SPOD. In particular it includes a folder (db_dump) which contains an empty Oxwall database configured for SPOD
*	spod-themes, which contains the SPOD  look and feel
*	spod-plugins, which contains some of the Oxwall adapted to SPOD and some other plugins specifically developed for SPOD.


## SPOD Requirements
* Linux (tested on Kernel  3.19.0-25-generic)
* Apache Web Server (local installation)
* MySql Server (local or remote installation)
* Git shell client
* ROUTE-TO-PA GitLab source code account
* Root access on local machine

## SPOD Manager download 

    wget http://service.routetopa.eu:7480/isislab/spod-manager/raw/master/spod-manager.sh
    chmod +x spod-manager.sh

## SPOD Manager help

    sudo ./spod-manager.sh --help
    spod-manager.sh is package for the installation, update, backup and restore of a Social Platform for Open Data (SPOD) application. SPOD enables social interactions among open data users and between open data users and government data. http://spod.routetopa.eu
   
    list of arguments:
    -h, --help                          show commands help.
    -a, --action=ACTION                 define the action [install, uninstall, update, backup, restoredb, restoreall] (*).
    -m, --mysql-username=username       mysql server username (*).
    -n, --mysql-password=password       mysql server password  (*).
    -o, --mysql-address=address         mysql server hostname or ip address (deafult is localhost).
    -p, --spod-git-username=user        SPOD Git server user name (*).
    -q, --spod-git-email=email          SPOD Git server user email  (*).
    -r, --spod-git-password=password    SPOD Git server password  (*).
    -s, --spod-git-address=address:port SPOD Git server hostname or address (deafult is http://service.routetopa.eu:7480).
    -w, --spod-hostname=hostname        SPOD hostname (example http://spod.routetopa.eu/).
    -e, --spod-www-backup=www-folder    SPOD backup folder path (defauld is current directory).
    -d, --spod-database-version=db      SPOD db name. For installation, it is the name of a db file on the spod-core/db_dump folder (example oxwall_v.0.1_antares.sql).  For restoredb and restoreall, it is the db file absolute path).
    -b, --backup-dir=DIR                SPOD backup directory (default is current directory).
    * the arguments is required.

## Example of use

### INSTALLATION SPOD
    
    sudo ./spod-manager.sh -a install -m root -n mysqlpass -p usergit -q emailusergit -r passgit -w http://spod.routetopa.eu/ -d oxwall_v.0.1_antares.sql

### UNINSTALLATION SPOD
    
    sudo ./spod-manager.sh -a uninstall -m root -n mysqlpass

### BACKUP SPOD

    sudo ./spod-manager.sh -a backup -m root -n mysqlpass -b ./test

### UPDATE SPOD

    sudo ./spod-manager.sh -a update -p usergit -q emailuserigit -r passgit -w http://spod.routetopa.eu/
    
### RESTORE DB SPOD
    
    sudo ./spod-manager.sh -a restoredb -m root -n mysqlpass -d /home/user/spod-manager/oxwall_version_dump.sql
    
### RESTORE ALL SPOD
    
    sudo ./spod-manager.sh -a restoreall -m root -n mysqlpass -e /var/www -d /home/user/spod-manager/oxwall_version_dump.sql